### Hierarchy

- GatewayHandler
  - ExclusiveGatewayHandler

### Implements

- IFlowNodeHandler

## Index

### Methods

- execute
- executeCondition
- executeIntern
- getFlowNodeById
- getIncomingSequenceFlowsFor
- getNextFlowNodeFor
- getOutgoingSequenceFlowsFor

## Methods

### execute

- execute(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Implementation of IFlowNodeHandler.execute

  Inherited from FlowNodeHandler.execute

  - Defined in execution/handler/flow_node_handler.ts:8

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Private executeCondition

- executeCondition(condition: string, processToken: IProcessTokenEntity): boolean

- - Defined in execution/handler/exlusive_gateway_handler.ts:25

  #### Parameters

  - ##### condition: string

  - ##### processToken: IProcessTokenEntity

  #### Returns boolean

### Protected executeIntern

- executeIntern(flowNode: INodeDefEntity, processToken: IProcessTokenEntity, context: ExecutionContext): Promise<NextFlowNodeInfo>

- Overrides FlowNodeHandler.executeIntern

  - Defined in execution/handler/exlusive_gateway_handler.ts:9

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### processToken: IProcessTokenEntity

  - ##### context: ExecutionContext

  #### Returns Promise<NextFlowNodeInfo>

### Protected getFlowNodeById

- getFlowNodeById(flowNodeId: string, processDefinition: IProcessDefEntity): INodeDefEntity

- Inherited from FlowNodeHandler.getFlowNodeById

  - Defined in execution/handler/flow_node_handler.ts:24

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns INodeDefEntity

### Protected getIncomingSequenceFlowsFor

- getIncomingSequenceFlowsFor(flowNodeId: string, processDefinition: IProcessDefEntity): IFlowDefEntity[]

- Inherited from GatewayHandler.getIncomingSequenceFlowsFor

  - Defined in execution/handler/gateway_handler.ts:6

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns IFlowDefEntity[]

### Protected getNextFlowNodeFor

- getNextFlowNodeFor(flowNode: INodeDefEntity, context: ExecutionContext): Promise<INodeDefEntity>

- Inherited from FlowNodeHandler.getNextFlowNodeFor

  - Defined in execution/handler/flow_node_handler.ts:17

  #### Parameters

  - ##### flowNode: INodeDefEntity

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

### Protected getOutgoingSequenceFlowsFor

- getOutgoingSequenceFlowsFor(flowNodeId: string, processDefinition: IProcessDefEntity): IFlowDefEntity[]

- Inherited from GatewayHandler.getOutgoingSequenceFlowsFor

  - Defined in execution/handler/gateway_handler.ts:18

  #### Parameters

  - ##### flowNodeId: string

  - ##### processDefinition: IProcessDefEntity

  #### Returns IFlowDefEntity[]

Generated using TypeDoc